#!/bin/bash

# import general use aliases
[[ -r ~/.alias ]] && . ~/.alias

# xbps-install
alias xin="doas xbps-install -S"
alias xup="doas xbps-install -Su"

# xbps-query
alias xq="xbps-query"
alias xs="xq -Rs"
alias xqs="xq -S"
alias xqm="xq -m"
alias xql="xq -l"
alias xqq="xql | grep ${1}"

# xbps-remove
alias xr="doas xbps-remove -R"
alias xcln="xr -o"

# config edits
alias cb="vim $HOME/.config/bspwm/bspwmrc"
alias csx="vim $HOME/.config/sxhkd/sxhkdrc"
